Sales Categories

Purpose
Retrieve a paginated list of sales categories configured for a specific venue.

Sales Categories represent grouping of Menu Items. A menu item can only belong to a single sales category.

HTTP
GET {{apiUrl}}/api/v1/configuration/salescategories

Path params

  • None

Query params

  • venueId (required, UUID): The venue to fetch menu items for.
  • limit (optional, integer): Number of records to return per page. Default/typical: 20.
  • cursor (optional, string): Opaque pagination cursor returned by a previous response. Use it to fetch the next page.

Authentication

  • Inherit from parent collection/folder, or configure per your environment using the provided variables.

Sample Response

{
    "records":
    [
        {
            "id": "008268e8-22c8-4145-b3c8-d774c680dad7",
            "updatedAt": "2024-09-11T23:26:18.575Z",
            "name": "Wine"
        }
    ],
    "cursor": "",
    "length": 20,
    "status": "SUCCESS",
    "count": 20
}

Notes

  • Use GET to list sales categories for a venue. Include the venueId query param. Optional pagination via limit and cursor.

Model:

  • id: The ID of the record
  • updatedAt: The datetime that the record was last modified
  • name: The POS name of the Sales Category.
  • parentId: The Parent Sales Category, if configured optional
  • externalId: A third-party or external ID of the item optional
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

REQUIRED
The Venue ID for the record

Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain